Bug 625642 - file sharing stops working; turning selinux off fixes it
file sharing stops working; turning selinux off fixes it
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-19 21:59 EDT by Máirín Duffy
Modified: 2010-11-03 12:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-03 12:24:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2010-08-19 21:59:58 EDT
Description of problem:

This is a really odd problem. I have what I believe to be a fully-updated F13 machine I just installed & updated two days ago.

I went into the Home > Duffy > Public folder and turned on file sharing. I put some PDF files from a 4 GB usb key into that directory. Then I used my RHEL 6 Beta laptop and was easily able to grab the files by going to Places > Network > (the share)

Tonight I noticed that while the files were still shared, I could not see them from the network anymore. I tried everything I could think of - turned off iptables, logged out and back in, rebooted, turned sharing on and off. 

I noticed that when I went into the dialog to turn sharing off then on again, that when I turned it on, the SELinux troubleshoot icon would appear. I clicked on it, but the full SELinux troubleshoot dialog did not show anything at all, it was mostly blank and it said there were no errors.

This happened 3 times before I decided I would try to turn SELinux off. As soon as I did, file sharing worked again as I could again access the files from the F13 machine on the RHEL 6 machine.

What is most curious about this is that the filesharing worked out of the box, and for two days straight, then suddenly stopped working. Although it's very strange that SELinux didn't have any error output either. 

Any ideas on what might be going on?

I ran audit2allow and got this output:
#============= abrt_t ==============
allow abrt_t initrc_var_run_t:file read;

#============= groupadd_t ==============
allow groupadd_t initrc_tmp_t:file { read append };

#============= semanage_t ==============
allow semanage_t initrc_tmp_t:file append;

#============= setfiles_t ==============
allow setfiles_t initrc_tmp_t:file { read append };

#============= tzdata_t ==============
allow tzdata_t initrc_tmp_t:file { read append };


I also did a restorecon on my home directory but that didn't do anything but muck with files in my Trash folder. My /var/log/setroubleshoot/setroubleshootd.log file is empty!!!!!

Version-Release number of selected component (if applicable):
selinux-policy-3.7.19-47.fc13.noarch
Comment 1 Daniel Walsh 2010-08-25 11:35:00 EDT
I am trying to do this on an F13 box to itself and I am getting 

http Error: Cannot resolve hostname
Comment 2 Miroslav Grepl 2010-11-03 12:24:46 EDT
Should be fixed in the latest F13 selinux-policy. If I am wrong, please reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.